export declare function editPoClickExpandRelationButton(resourceName: string, index?: number): Promise<void>;
export declare function editPoClickCancelButton(resourceName: string, index?: number): Promise<void>;
export declare function editPoClickBackButton(resourceName: string, index?: number): Promise<void>;
export declare function editPoClickSaveButton(resourceName: string, index?: number): Promise<void>;
export declare function editPoWaitForUrl(resourceName: string, resourceId?: string): Promise<void>;
export declare function editPoWaitForResourceViewToBeHidden(index?: number): Promise<void>;
export declare function editPoGoTo(resourceName: string, resourceId?: string): Promise<void>;
export declare function editPoSetInputValue(propertyName: string, value: string, parentContextName?: string): Promise<void>;
export declare function editPoToggleBooleanField(propertyName: string): Promise<void>;
export declare function editPoClickPreviewMarkDown(propertyName: string): Promise<void>;
export declare function editPoGetUrlToNavigate(resourceName: string, resourceId?: string, baseUrl?: string): string;
export declare function editPoSetRelation(propertyName: string, resourceId: string): Promise<void>;
export declare function editPoAddRelation(propertyName: string, resourceId: string): Promise<void>;
export declare function editPoAddManyToManyRelation(propertyName: string, resourceId: string): Promise<void>;
